Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Overview

The Vue Calendar is a component to display the date and days of the week. It provides month, year, and decade view options to quickly navigate to the desired date. It supports minimum dates, maximum dates, and disabled dates to restrict the date selection.


Why choose Syncfusion Essential Studio® Vue Calendar?

Vue Calendar interaction.

Easy to interact

You can restrict the user to choosing a date from a predetermined range of dates. Any date in the Vue calendar can be disabled to make it inactive.

Vue Calendar views.

Calendar views

Calendar has predefined views to give a flexible approach to choosing dates.

Vue Calendar islamic calendar.

Islamic calendar

The Vue Calendar component lets users show the Islamic calendar(Hijri calendar) in addition to the Gregorian calendar.

Vue Calendar adaptive.

Adapts to any resolution

Calendar has a highly responsive layout and an optimized design for desktops, touchscreens, and smart phones. It works well on all mobile phones that use iOS, Android, or Windows OS.

Vue Calendar themes.

Attractive, customizable themes

Cutting-edge design with several built-in themes, such as Fluent, Tailwind CSS, Bootstrap, Material, and Fabric. Utilize the online Theme Studio tool to customize themes easily.

Vue Calendar globalization.

Globalization and localization

With built-in globalization options,a culture-specific date format and first day of the week can be chosen. The text of the month, day, and today button can be translated to any supported language.


Vue Calendar Code Example

Easily get started with the Vue Calendar using a few simple lines of Vue codes as demonstrated below. Also explore our Vue Calendar Example that shows you how to render and configure a Calendar in Vue.

  1. <template>
  2. <div class="col-lg-12 control-section">
  3. <div class="control_wrapper calendar-default">
  4. <div id="container" style="overflow:auto">
  5. <ejs-calendar id="calendar" :change="onValueChange"></ejs-calendar>
  6. <span id="date_label"> Selected Value: </span>
  7.  
  8. </div>
  9. </div>
  10. </div>
  11. </template>
  12.  
  13. <script>
  14.  
  15. import Vue from "vue";
  16. import { CalendarPlugin } from "@syncfusion/ej2-vue-calendars";
  17.  
  18. Vue.use(CalendarPlugin);
  19. export default Vue.extend({
  20. methods: {
  21. onValueChange: function(args) {
  22. document.getElementById("date_label").textContent =
  23. "Selected Value: " + args.value.toLocaleDateString();
  24. }
  25. }
  26. });
  27. </script>

Month or year picker

Select only the month or year as a value (month picker or year picker) in the calendar.

Month Yeah Picker in Vue Calendar.


Date selection within a range in Vue Calendar.

Date selection within a date range

You can restrict the Vue Calendar component so that only a date value within a specific range of dates can be entered or selected by specifying the minimum and maximum date options.


Multiple date selection

Configure the Vue calendar to allow users to select single or multiple date values (sequence or random date selection).

Multiple Date Selection in Vue Calendar.


Multi Language in Vue Calendar.

Multi-language calendar

Update the culture-specific date format and first day of the week, and translate the text of month, day,and today buttons to any supported language with built-in globalization features.


Change first day of week

Automatically update the first day of the week based on the specified culture or change it based on your application requirements.

First Day of Week in Vue Calendar.


Disabled Date in Vue Calendar.

Disabled dates

Disable any date in the Vue calendar to make it inactive. Easily prevent the selection of weekends and holidays by disabling them.


Custom calendar

Apart from the standard, built-in theme, the Vue Calendar component provides complete control over its appearance, allowing you to customize the style to suit your application.

Customization in Vue Calendar.


Highlight Weekends in Vue Calendar.

Highlight weekends

Highlight any date in a year or every weekend in a month as special days using custom styling.


Week number

Show the week number of a selected date in the calendar by enabling the week number option.

Week Number in vue Calendar.


Web Accessibility in Vue Calendar.

Web accessibility

  • Fully supports WAI-ARIA accessibility guidelines that allow the calendar to be accessed by screen readers and assistive devices.
  • Follows WAI-ARIA best practices for implementing keyboard interaction.
  • UsesWCAG 2.0-based design for UI element visuals such as foreground color, background color, line spacing, text, and images.
  • Supports right-to-left (RTL) direction for users working in right-to-left languages like Hebrew and Arabic.

Accessibility

Keyboard navigation in Vue Calendar.

Keyboard navigation

The Vue Calendar component ensures that every cell is accessible using the keyboard. Major features like sort, select, and edit can be performed using keyboard commands alone; no mouse interaction is required. This helps in creating highly accessible applications using this component.

Accessibility and screen reader support in Vue Calendar.

Screen reader

The Vue Calendar view has complete WAI-ARIA accessibility support. The Calendar UI includes high-contrast visual elements that help visually impaired people to have the best viewing experience. Also, valid UI descriptions are easily accessible through assistive technologies such as screen readers.

Show right-to-left language in Vue Calendar.

Right to left (RTL)

Right-to-left rendering allows displaying the text and layout of the Calendar from right to left. This improves the user experience and accessibility for RTL languages.

Other supported frameworks

The Calendar component is also available in Blazor, Angular, React, and JavaScript frameworks. Check out the different Calendar platforms from the links below,

Supported browsers

The Vue Calendar works well with all modern web browsers such as Chrome, Firefox, Microsoft Edge, Safari, and Opera.

Supported browsers in Vue Calendar.

90+ VUE UI COMPONENTS

Frequently Asked Questions

We do not sell the Vue Calendar separately. It is only available for purchase as part of the Syncfusion team license. This contains over 1,900 components and frameworks, including the Vue Calendar. The price of the team license starts at $395 per month for 5 developers, and includes support and updates until the subscription expires. In addition, we might offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

You can find our Vue Calendar demo, which demonstrates how to render and configure the Calendar.

No, our 1,900+ components and frameworks for web, mobile, and desktop, including our Vue Calendar, are not sold individually. They are only available as part of a team license. However, we have competitively priced the product, so it only costs a little bit more than what some other vendors charge for their Calendar component alone. We have also found that, in our experience, our customers usually start off using one of our products and then expand to several products quickly, so we felt it was best to offer all 1,900+ components and frameworks for a subscription fee that starts at $395 per month for a team of 5 developers. Additionally, we might be able to offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon
Chat with us

Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Overview

The React Calendar component is used to display the date and days of the week or month. It provides month, year, and decade view options to navigate quickly to the desired date. The React Calendar supports minimum dates, maximum dates, and disabled dates to restrict date selection.


Why choose Syncfusion Essential Studio® React Calendar?

Interact easily with React Calendar.

Easy to interact

The user can be restricted to choosing a date from a predetermined range of dates. Any date in the React Calendar can be disabled to make it inactive.

React Calendar views.

Calendar views

The React Calendar has predefined views that provide a flexible approach to navigate back and forth when selecting dates.

React Calendar islamic calendar.

Islamic calendar

The React Calendar component lets users show the Islamic calendar(Hijri calendar) in addition to the Gregorian calendar.

React Calendar adaptive.

Adapts to any resolution

Calendar has a highly responsive layout and an optimized design for desktops, touchscreens, and smart phones. It works well on all mobile phones that use iOS, Android, or Windows OS.

React Calendar themes.

Attractive, customizable themes

Cutting-edge design with several built-in themes, such as Fluent, Tailwind CSS, Bootstrap, Material, and Fabric. Utilize the online Theme Studio tool to customize themes easily.

React Calendar globalization.

Globalization and localization

With built-in globalization options, a culture-specific date format and the first day of the week can be chosen. The text of the month, day, and today button can be translated to any supported language.


React Calendar Code Example

Easily get started with the React Calendar using a few simple lines of TSX code example as demonstrated below. Also explore our React Calendar Example that shows you how to render and configure a Calendar in React.

  1. import * as ReactDOM from 'react-dom';
  2. import * as React from 'react';
  3. import { CalendarComponent, ChangedEventArgs } from '@syncfusion/ej2-react-calendars';
  4. import { SampleBase } from '../common/sample-base';
  5. import './default-style.css';
  6.  
  7. export class Default extends SampleBase<{}, {}> {
  8. public onchange(args: ChangedEventArgs): void {
  9. /*Displays selected date in the label*/
  10. (document.getElementById('date_label') as HTMLElement).textContent = 'Selected Value: ' + args.value.toLocaleDateString();
  11. }
  12. render() {
  13. return (
  14. <div className='control-pane'>
  15. <div className='control-section'>
  16. <div className='calendar-control-section'>
  17. <CalendarComponent change={this.onchange} ></CalendarComponent>
  18. <label id='date_label'>Selected Value:</label>
  19. </div>
  20. </div>
  21. </div>
  22. )}
  23. }

Month or year picker

Select only the month or year as a value (month picker or year picker) in the react calendar picker.

Month Year Picker in React Calendar.


Date selection within a range in React Calendar.

Date selection within a date range

You can restrict the React Calendar component so that only a date value within a specific range of dates can be entered or selected by specifying the minimum and maximum date options.


Multiple date selection

Configure the React calendar to allow users to select single or multiple date values (sequence or random date selection).

Multiple Date Selection in React Calendar.


First Day of Week in React Calendar.

Change first day of week

Automatically update the first day of the week based on the specified culture or change it based on your application requirements.


Week number

Show the week number of a selected date by enabling the week number option in the React Calendar.

Week Number in react Calendar.


Web Accessibility in React Calendar.

Web accessibility

  • Fully supports WAI-ARIA accessibility guidelines that allow calendars to be accessed by screen readers and assistive devices.
  • Follows WAI-ARIA best practices for implementing keyboard interaction.
  • Uses WCAG 2.0-based design for UI element visuals such as foreground color, background color, line spacing, text, and images.
  • Supports right-to-left (RTL) direction for users working in right-to-left languages like Hebrew and Arabic.

Accessibility

Keyboard navigation in React Calendar.

Keyboard navigation

The React Calendar component ensures that every cell is accessible using the keyboard. Major features like sort, select, and edit can be performed using keyboard commands alone; no mouse interaction is required. This helps in creating highly accessible applications using this component.

Accessibility and screen reader support in React Calendar.

Screen reader

The React Calendar view has complete WAI-ARIA accessibility support. The Calendar UI includes high-contrast visual elements that help visually impaired people to have the best viewing experience. Also, valid UI descriptions are easily accessible through assistive technologies such as screen readers.

Show right-to-left language in React Calendar.

Right to left (RTL)

Right-to-left rendering allows displaying the text and layout of the Calendar from right to left. This improves the user experience and accessibility for RTL languages.

Other supported frameworks

The Calendar is available for the Blazor, Angular, JavaScript, and Vue frameworks. Explore its platform-specific options through the following links:

Supported browsers

The React Calendar works well with all modern web browsers, including Chrome, Firefox, Edge, Safari, and Opera.

Supported browsers in React Calendar.

90+ REACT UI COMPONENTS

Frequently Asked Questions

Syncfusion React Calendar provides the following features:

We do not sell the React Calendar separately. It is only available for purchase as part of the Syncfusion team license. This contains over 1,900 components and frameworks, including the React Calendar. The price of the team license starts at $395 per month for 5 developers, and includes support and updates until the subscription expires. In addition, we might offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

You can find our React Calendar demo, which demonstrates how to render and configure the Calendar.

No, our 1,900+ components and frameworks for web, mobile, and desktop, including our React Calendar, are not sold individually. They are only available as part of a team license. However, we have competitively priced the product, so it only costs a little bit more than what some other vendors charge for their Calendar component alone. We have also found that, in our experience, our customers usually start off using one of our products and then expand to several products quickly, so we felt it was best to offer all 1,900+ components and frameworks for a subscription fee that starts at $395 per month for a team of 5 developers. Additionally, we might be able to offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon
Chat with us